Bug 30730 - works only for root
: works only for root
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pcsc-lite)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-02-12 13:13 by
Modified: 2015-09-08 16:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-02-12 13:13:58
Не работает под пользователем после установки и перезагрузки, залогинен в TDE.

Feb 12 12:46:58 arch pcscd: winscard_svc.c:326:ContextThread() Rejected
unauthorized PC/SC client
Feb 12 12:46:59 arch pcscd: auth.c:137:IsClientAuthorized() Process 3813 (user:
500) is NOT authorized for action: access_pcsc
------- Comment #1 From 2015-02-12 14:21:19 -------
надо прочитать README.polkit.
Если есть предложение, какую политику добавить по умолчанию - присылайте.
------- Comment #2 From 2015-02-12 15:49:05 -------
Прочитал.
День рою тырнет. Это нерабочая конфигурация "из коробки", явно "user
unfriendly".
Интересные обсуждения есть тут:
https://bugzilla.opensuse.org/show_bug.cgi?id=900115
Ну и переход по ссылке в каменте 52.
------- Comment #3 From 2015-07-01 22:30:07 -------
IMHO, пользователи не должны читать README.polkit и писать правила доступа, это
задача мантейнера.

В пакет можно положить конфигурацию, которая даёт доступ только root, что хотя
бы упростит её редактирование. Ну или сделать доступ для группы wheel. Ещё
можно управлять строгостью доступа через control, как это делается для sudo.

Текущая ситуация, когда доступа нет ни у кого и конфигурации просто нет - это
баг.
------- Comment #4 From 2015-07-22 21:43:03 -------
проверьте 1.8.13-alt2
------- Comment #5 From 2015-08-13 16:03:12 -------
у меня с 1.8.13-alt2 работает без каких-либо дополнительных настроек.
------- Comment #6 From 2015-09-07 17:30:25 -------
Попробовал 1.8.14-alt1, с ним перестал работать openvpn:

# openvpn --show-pkcs11-ids /usr/lib/libeTPkcs11.so
08181370 ifdwrapper.c:550:IFDTransmit() Card not transacted: 612
00000021 winscard.c:1633:SCardTransmit() Card not transacted: 0x80100016

Откат на 1.8.13-alt1 помогает. Возможно, это локальные проблемы, я пересобирал
openvpn для работы с etoken.
------- Comment #7 From 2015-09-07 22:02:38 -------
у вас наверно старый pkiclient.
посмотрите баг https://bugzilla.altlinux.org/show_bug.cgi?id=31205
------- Comment #8 From 2015-09-08 16:18:51 -------
Да, наверно. У меня pkiclient-5.00.28-0.

Попробую обновиться, спасибо.